from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Boolean, Int

Tofcalibration_V0_1_0 = CommandToolBuilder(tool="TOFCalibration", base_command=["TOFCalibration"], inputs=[ToolInput(tag="in_in", input_type=File(optional=True), prefix="-in", doc=InputDocumentation(doc="*              Input peak or raw data file  (valid formats: 'mzML')")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="-out", doc=InputDocumentation(doc="*             Output file  (valid formats: 'mzML')")), ToolInput(tag="in_ext_calib_rants", input_type=File(optional=True), prefix="-ext_calibrants", doc=InputDocumentation(doc="*  Input file containing the external calibrant spectra (peak or raw data)\n(valid formats: 'mzML')")), ToolInput(tag="in_ref_masses", input_type=File(optional=True), prefix="-ref_masses", doc=InputDocumentation(doc="*      Input file containing reference masses of the external calibrant spectra (one per line) (valid formats: 'txt')")), ToolInput(tag="in_tof_const", input_type=File(optional=True), prefix="-tof_const", doc=InputDocumentation(doc="*       File containing TOF conversion constants. These can be either two or three constants\nper set, depending on the conversion type. Either one set for all calibrant spectra\n(tab separated), or one for each spectrum.\nFor a detailed description, please have a look at the doxygen documentation.(one set, tab separated, per line) (valid formats: 'csv')")), ToolInput(tag="in_peak_data", input_type=Boolean(optional=True), prefix="-peak_data", doc=InputDocumentation(doc="Set this flag, if you have peak data, not raw data (the picking parameters are accessible only from the INI file).")), ToolInput(tag="in_ini", input_type=File(optional=True), prefix="-ini", doc=InputDocumentation(doc="Use the given TOPP INI file")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="-threads", doc=InputDocumentation(doc="Sets the number of threads allowed to be used by the TOPP tool (default: '1')")), ToolInput(tag="in_write_ini", input_type=File(optional=True), prefix="-write_ini", doc=InputDocumentation(doc="Writes the default configuration file")), ToolInput(tag="in_helphelp", input_type=Boolean(optional=True), prefix="--helphelp", doc=InputDocumentation(doc="Shows all options (including advanced)"))], outputs=[ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="*             Output file  (valid formats: 'mzML')"))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Tofcalibration_V0_1_0().translate("wdl", allow_empty_container=True)

